<?php

namespace App\Service\Traits;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Question\ChoiceQuestion;

trait SelectDatabaseQuestion
{
    private function getDatabaseName(InputInterface $input, OutputInterface $output): string
    {
        $question = $this->getHelper('question');

        if (!$name = $input->getArgument('name')) {
            $selectQuestion = new ChoiceQuestion('Database name: ', $this->db->listDatabases());
            $name = $question->ask($input, $output, $selectQuestion);
        }

        return $name;
    }
}