<?php

namespace App\Service;

class DatabaseCredentials
{
    public function __construct(
        private string $hostname,
        private string $user,
        private string $password,
    )
    {
    }

    public function getHostname(): string
    {
        return $this->hostname;
    }

    public function getUser(): string
    {
        return $this->user;
    }

    public function getPassword(): string
    {
        return $this->password;
    }
}